<?php
//Active CDR statistics :
$enable_record_to_cdr = false;


//Common Languages en variantes
//http://www.w3.org/International/articles/language-tags/
//
// language-Script-REGION-variant-extension-privateuse
//
//The entries in the registry follow certain conventions with regard to upper and
//lowercasing - for example, language tags are lower case, alphabetic region subtags
//are upper case, and script tags begin with an initial capital. This is only a
//convention! When you use these subtags you are free to do as you like.


//default tts engine is the first in this tts array :
$tts = array();

$tts['amazon'] = array(
    'name'              => 'amazon',
    'call'              => 'ttsamazon',
    'options'           => array(
        '"AMAZON_REGION"',
        '"AMAZON_USER_KEY"',
        '"AMAZON_USER_SECRET"',
        '$text',
        '$voice',
        '$filename',
        '$iformat',
        '8000'
    ),
    'voices'            => array(
        'Naja' => array(
           'type' => 'female',
           'desc' => 'Danish Female',
           'voptions' => array('lang' => 'da-DK')
        ),
        'Mads' => array(
            'type' => 'male',
            'desc' => 'Danish Male',
            'voptions' => array('lang' => 'da-Dk')
        ),
        'Lotte' => array(
            'type' => 'female',
            'desc' => 'Dutch Female',
            'voptions' => array('lang' => 'nl-NL')
        ),
        'Ruben' => array(
            'type' => 'male',
            'desc' => 'Dutch Male',
            'voptions' => array('lang' => 'nl-NL')
        ),
        'Nicole' => array(
            'type' => 'female',
            'desc' => 'Australian Female',
            'voptions' => array('lang' => 'en-AU')
        ),
        'Russell' => array(
            'type' => 'male',
            'desc' => 'Australian Male',
            'voptions' => array('lang' => 'en-AU')
        ),
        'Emma' => array(
            'type' => 'female',
            'desc' => 'British Female',
            'voptions' => array('lang' => 'en-GB')
        ),
        'Amy' => array(
            'type' => 'female',
            'desc' => 'British Female',
            'voptions' => array('lang' => 'en-GB')
        ),
        'Brian' => array(
            'type' => 'male',
            'desc' => 'British Male',
            'voptions' => array('lang' => 'en-GB')
        ),
        'Aditi' => array(
            'type' => 'female',
            'desc' => 'Indian Female',
            'voptions' => array('lang' => 'en-IN')
        ),
        'Raveena' => array(
            'type' => 'female',
            'desc' => 'Indian Female',
            'voptions' => array('lang' => 'en-IN')
        ),
        'Joanna' => array(
            'type' => 'female',
            'desc' => 'US Female',
            'voptions' => array('lang' => 'en-US')
        ),
        'Salli' => array(
            'type' => 'female',
            'desc' => 'US Female',
            'voptions' => array('lang' => 'en-US')
        ),
        'Kimberly' => array(
            'type' => 'female',
            'desc' => 'US Female',
            'voptions' => array('lang' => 'en-US')
        ),
        'Kendra' => array(
            'type' => 'female',
            'desc' => 'US Female',
            'voptions' => array('lang' => 'en-US')
        ),
        'Ivy' => array(
            'type' => 'female',
            'desc' => 'US Female',
            'voptions' => array('lang' => 'en-US')
        ),
        'Matthew' => array(
            'type' => 'male',
            'desc' => 'US Male',
            'voptions' => array('lang' => 'en-US')
        ),
        'Justin' => array(
            'type' => 'male',
            'desc' => 'US Male',
            'voptions' => array('lang' => 'en-US')
        ),
        'Joey' => array(
            'type' => 'male',
            'desc' => 'US Male',
            'voptions' => array('lang' => 'en-US')
        ),
        'Geraint' => array(
            'type' => 'male',
            'desc' => 'Welsh Male',
            'voptions' => array('lang' => 'en-GB-WLS')
        ),
        'Celine' => array(
            'type' => 'female',
            'desc' => 'French Female',
            'voptions' => array('lang' => 'fr-FR')
        ),
        'Mathieu' => array(
            'type' => 'male',
            'desc' => 'French Male',
            'voptions' => array('lang' => 'fr-FR')
        ),
        'Chantal' => array(
            'type' => 'female',
            'desc' => 'Canadian Female',
            'voptions' => array('lang' => 'fr-CA')
        ),
        'Vicki' => array(
            'type' => 'female',
            'desc' => 'German Female',
            'voptions' => array('lang' => 'de-DE')
        ),
        'Marlene' => array(
            'type' => 'female',
            'desc' => 'German Female',
            'voptions' => array('lang' => 'de-DE')
        ),
        'Hans' => array(
            'type' => 'male',
            'desc' => 'German Male',
            'voptions' => array('lang' => 'de-DE')
        ),
        'Dora' => array(
            'type' => 'female',
            'desc' => 'Icelandic Female',
            'voptions' => array('lang' => 'is-IS')
        ),
        'Karl' => array(
            'type' => 'male',
            'desc' => 'Icelandic Male',
            'voptions' => array('lang' => 'is-IS')
        ),
        'Carla' => array(
            'type' => 'female',
            'desc' => 'Italian Female',
            'voptions' => array('lang' => 'it-IT')
        ),
        'Giorgio' => array(
            'type' => 'male',
            'desc' => 'Italian Male',
            'voptions' => array('lang' => 'it-IT')
        ),
        'Mizuki' => array(
            'type' => 'female',
            'desc' => 'Japanese Female',
            'voptions' => array('lang' => 'ja-JP')
        ),
        'Takumi' => array(
            'type' => 'male',
            'desc' => 'Japanese Male',
            'voptions' => array('lang' => 'ja-JP')
        ),
        'Seoyeon' => array(
            'type' => 'female',
            'desc' => 'Korean Female',
            'voptions' => array('lang' => 'ko-KR')
        ),
        'Liv' => array(
            'type' => 'female',
            'desc' => 'Norwegian Female',
            'voptions' => array('lang' => 'nb-NO')
        ),
        'Ewa' => array(
            'type' => 'female',
            'desc' => 'Polish Female',
            'voptions' => array('lang' => 'pl-PL')
        ),
        'Maja' => array(
            'type' => 'female',
            'desc' => 'Polish Female',
            'voptions' => array('lang' => 'pl-PL')
        ),
        'Jan' => array(
            'type' => 'male',
            'desc' => 'Polish Male',
            'voptions' => array('lang' => 'pl-PL')
        ),
        'Jacek' => array(
            'type' => 'male',
            'desc' => 'Polish Male',
            'voptions' => array('lang' => 'pl-PL')
        ),
        'Ines' => array(
            'type' => 'female',
            'desc' => 'Portuguese Female',
            'voptions' => array('lang' => 'pt-PT')
        ),
        'Cristiano' => array(
            'type' => 'male',
            'desc' => 'Portuguese Male',
            'voptions' => array('lang' => 'pt-PT')
        ),
        'Vitoria' => array(
            'type' => 'female',
            'desc' => 'Brazilian Female',
            'voptions' => array('lang' => 'pt-BR')
        ),
        'Ricardo' => array(
            'type' => 'male',
            'desc' => 'Brazilian Male',
            'voptions' => array('lang' => 'pt-BR')
        ),
        'Carmen' => array(
            'type' => 'female',
            'desc' => 'Romanian Female',
            'voptions' => array('lang' => 'ro-RO')
        ),
        'Tatyana' => array(
            'type' => 'female',
            'desc' => 'Russian Female',
            'voptions' => array('lang' => 'ru-RU')
        ),
        'Maxim' => array(
            'type' => 'male',
            'desc' => 'Russian Male',
            'voptions' => array('lang' => 'ru-RU')
        ),
        'Conchita' => array(
            'type' => 'female',
            'desc' => 'Spanish Female',
            'voptions' => array('lang' => 'es-ES')
        ),
        'Enrique' => array(
            'type' => 'male',
            'desc' => 'Spanish Male',
            'voptions' => array('lang' => 'es-ES')
        ),
        'Penelope' => array(
            'type' => 'female',
            'desc' => 'US Spanish Female',
            'voptions' => array('lang' => 'es-US')
        ),
        'Miguel' => array(
            'type' => 'male',
            'desc' => 'US Spanish Male',
            'voptions' => array('lang' => 'es-US')
        ),
        'Astrid' => array(
            'type' => 'female',
            'desc' => 'Swedish Female',
            'voptions' => array('lang' => 'sv-SE')
        ),
        'Filiz' => array(
            'type' => 'female',
            'desc' => 'Turkish Female',
            'voptions' => array('lang' => 'tr-TR')
        ),
        'Gwyneth' => array(
            'type' => 'female',
            'desc' => 'Welsh Female',
            'voptions' => array('lang' => 'cy-GB')
        )
    ),
    'langcodes'         => array(
        'da-DK'     => array('Naja', 'Mads'),
        'nl-NL'     => array('Lotte', 'Ruben'),
        'en-AU'     => array('Nicole', 'Russell'),
        'en-GB'     => array('Emma', 'Amy', 'Brian'),
        'en-IN'     => array('Aditi', 'Raveena'),
        'en-US'     => array('Joanna', 'Salli', 'Kimberly', 'Kendra', 'Ivy', 'Matthew', 'Justin', 'Joey'),
        'en-GB-WLS' => array('Geraint'),
        'fr-FR'     => array('Celine', 'Mathieu'),
        'fr-CA'     => array('Chantal'),
        'de-DE'     => array('Vicki', 'Marlene', 'Hans'),
        'is-IS'     => array('Dora', 'Karl'),
        'it-IT'     => array('Carla', 'Giorgio'),
        'ja-JP'     => array('Mizuki', 'Takumi'),
        'ko-KR'     => array('Seoyeon'),
        'nb-NO'     => array('Liv'),
        'pl-PL'     => array('Ewa', 'Maja', 'Jan', 'Jacek'),
        'pt-PT'     => array('Ines', 'Cristiano'),
        'pt-BR'     => array('Vitoria', 'Ricardo'),
        'ro-RO'     => array('Carmen'),
        'ru-RU'     => array('Tatyana', 'Maxim'),
        'es-ES'     => array('Conchita', 'Enrique'),
        'es-US'     => array('Penelope', 'Miguel'),
        'sv-SE'     => array('Astrid'),
        'tr-TR'     => array('Filiz'),
        'cy-GB'     => array('Gwyneth')
    ),
    'charsets'          => array('UTF-8'),
    'codecs'            => array(
        '0' => 'mp3',
        '1' => 'wav'
    ),
    'iformats'          => array('mp3', 'wav'),
    'vxiformats'        => array(
        'mp3' => array('iformat' => 'mp3', 'codec' => '0'),
        'wav' => array('iformat' => 'wav', 'codec' => '1')
    ),
    "formatiscodec"     => false,
    "createlistfile"    => false,
    "directphpfunction" => true,
    "debugargs"         => "",
    "checks"            => array("ttsamazon", "curl_setopt"),
    "simexeclimit"      => "0",
);

// vim: set filetype=php expandtab tabstop=2 shiftwidth=2 autoindent smartindent:

